Create callback request

Create digital receipt callback request

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request body structure

The callback request body consists of:

  • top-level callback delivery settings
  • one nested transaction object containing the transaction fields

Top-level fields

  • callback_path: Full callback URL or callback path for the receiving endpoint in the current environment.
  • callback_content_type: Content type expected by the receiving endpoint, for example application/json or text/xml.
  • transaction: Object containing the transaction data used for receipt matching.

Mandatory Fields

  • id: Unique id, the card issuer’s public transaction id.

  • auth_time: (Field: 12 in ISO8583) Transaction time in HH:mm:ss format.

  • auth_date: (Field: 13 in ISO8583) Transaction date in YYYY-MM-DD format.

  • auth_timezone: Transaction timezone.

  • reference_no:(Field: 37 in ISO8583) Retrieval reference number for the transaction.

  • auth_code: (Field: 38 in ISO8583) The identifier received for the authorization from the network.

  • terminal_id: (Field: 41 in ISO8583) Card Acceptor Terminal Id.

  • merchant_no: (Field: 42 in ISO8583) Card Acceptor Id, Merchant id.

  • merchant_name: (Field: 43 in ISO8583) Card Acceptor Name, name of merchant.

  • auth_masked_card_number: Masked card number.

  • auth_amount: Original amount if the purchase was made in a different currency.

  • auth_currency: Original currency code in which the transaction was made.

  • clearing: true/false. If the transaction state is "cleared" or not.

  • callback_path: Full callback URL for the receiving endpoint in the current environment.

  • callback_content_type: Content type expected by the receiving endpoint, i.e. 'application/json', 'text/xml'


A successful request returns a ´2xx´ response, indicating that the callback request has been accepted for processing.


Body Params

Callback Request object to create

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json